- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# scaleway – Scaleway inventory source

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Get inventory hosts from Scaleway

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
hostnames list | Choices: public_ipv4 ← private_ipv4 public_ipv6 hostname id Default: ["public_ipv4"] |  | List of preference about what to use as an hostname.
oauth_token - / required |  | env:SCW_TOKEN env:SCW_API_KEY env:SCW_OAUTH_TOKEN | Scaleway OAuth token.
plugin - / required | Choices: scaleway |  | token that ensures this is a source file for the 'scaleway' plugin.
regions list | Default: ["ams1", "par1"] |  | Filter results on a specific Scaleway region
tags list |  |  | Filter results on a specific tag
variables dictionary |  |  | set individual variables: keys are variable names and values are templates. Any value returned by the Scaleway API can be used.

## Examples

    # scaleway_inventory.yml file in YAML format
    # Example command line: ansible-inventory --list -i scaleway_inventory.yml

    # use hostname as inventory_hostname
    # use the private IP address to connect to the host
    plugin: scaleway
    regions:
      - ams1
      - par1
    tags:
      - foobar
    hostnames:
      - hostname
    variables:
      ansible_host: private_ip
      state: state

    # use hostname as inventory_hostname and public IP address to connect to the host
    plugin: scaleway
    hostnames:
      - hostname
    regions:
      - par1
    variables:
      ansible_host: public_ip.address

## Status

- This inventory is not guaranteed to have a backwards compatible interface. [preview]
- This inventory is maintained by the Ansible Community. [community]

### Authors

- Remy Leone (@sieben)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.